(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@angular/core"), require("@angular/forms"), require("@angular/common"));
	else if(typeof define === 'function' && define.amd)
		define(["@angular/core", "@angular/forms", "@angular/common"], factory);
	else if(typeof exports === 'object')
		exports["ng2-select"] = factory(require("@angular/core"), require("@angular/forms"), require("@angular/common"));
	else
		root["ng2-select"] = factory(root["@angular/core"], root["@angular/forms"], root["@angular/common"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_1__, __WEBPACK_EXTERNAL_MODULE_4__, __WEBPACK_EXTERNAL_MODULE_15__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";
	var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
	    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
	    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
	    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
	    return c > 3 && r && Object.defineProperty(target, key, r), r;
	};
	var __metadata = (this && this.__metadata) || function (k, v) {
	    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
	};
	var core_1 = __webpack_require__(1);
	var ng2_select_1 = __webpack_require__(2);
	var forms_1 = __webpack_require__(4);
	var common_1 = __webpack_require__(15);
	var ng2_material_dropdown_1 = __webpack_require__(5);
	var Ng2SelectModule = (function () {
	    function Ng2SelectModule() {
	    }
	    Ng2SelectModule = __decorate([
	        core_1.NgModule({
	            imports: [
	                common_1.CommonModule,
	                forms_1.ReactiveFormsModule,
	                ng2_material_dropdown_1.Ng2DropdownModule
	            ],
	            declarations: [
	                ng2_select_1.Ng2Select
	            ],
	            exports: [
	                ng2_select_1.Ng2Select
	            ]
	        }), 
	        __metadata('design:paramtypes', [])
	    ], Ng2SelectModule);
	    return Ng2SelectModule;
	}());
	exports.Ng2SelectModule = Ng2SelectModule;
	

/***/ },
/* 1 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ },
/* 2 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";
	var __extends = (this && this.__extends) || function (d, b) {
	    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
	    function __() { this.constructor = d; }
	    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
	};
	var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
	    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
	    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
	    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
	    return c > 3 && r && Object.defineProperty(target, key, r), r;
	};
	var __metadata = (this && this.__metadata) || function (k, v) {
	    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
	};
	var core_1 = __webpack_require__(1);
	var selectable_1 = __webpack_require__(3);
	var forms_1 = __webpack_require__(4);
	var ng2_material_dropdown_1 = __webpack_require__(5);
	var accessor_1 = __webpack_require__(7);
	var CUSTOM_SELECT_VALUE_ACCESSOR = {
	    provide: forms_1.NG_VALUE_ACCESSOR,
	    useExisting: core_1.forwardRef(function () { return Ng2Select; }),
	    multi: true
	};
	var Ng2Select = (function (_super) {
	    __extends(Ng2Select, _super);
	    function Ng2Select() {
	        _super.apply(this, arguments);
	        this.options = [];
	        this.multiple = false;
	        this.onChange = new core_1.EventEmitter();
	    }
	    Ng2Select.prototype.getSelectedValue = function () {
	        if (this.multiple && this.selected.length === 1) {
	            return this.displayValue(this.selected[0]);
	        }
	        else {
	            var index = this.options.indexOf(this.value);
	            return index >= 0 ? this.displayValue(this.options[index]) : undefined;
	        }
	    };
	    Ng2Select.prototype.displayValue = function (item) {
	        return this.displayBy ? item[this.displayBy] : item;
	    };
	    Object.defineProperty(Ng2Select.prototype, "placeholderDisplay", {
	        get: function () {
	            if (this.multiple && this.selected.length > 1) {
	                return this.selected.length + " items selected";
	            }
	            else {
	                return this.getSelectedValue() || this.placeholder;
	            }
	        },
	        enumerable: true,
	        configurable: true
	    });
	    Ng2Select.prototype.isSelected = function (item) {
	        if (this.multiple) {
	            return this.selected.indexOf(item) >= 0;
	        }
	        else {
	            return this.value === item;
	        }
	    };
	    Ng2Select.prototype.ngOnInit = function () {
	        var _this = this;
	        var state = this.dropdown.state;
	        state.onItemClicked.subscribe(function (item) {
	            if (_this.multiple) {
	                _this.toggle(item.value);
	            }
	            _this.value = _this.multiple ? _this.selected : _this.options.indexOf(item.value);
	            _this.onChange.emit(_this.value);
	        });
	        this.dropdown.onShow.subscribe(function () {
	            if (!_this.value) {
	                return;
	            }
	            var index = _this.findIndexValue(_this.value);
	            var item = _this.dropdown.menu.items.toArray()[index];
	            _this.dropdown.state.select(item, false);
	        });
	        console.log(this.selected);
	    };
	    __decorate([
	        core_1.Input(), 
	        __metadata('design:type', String)
	    ], Ng2Select.prototype, "placeholder", void 0);
	    __decorate([
	        core_1.Input(), 
	        __metadata('design:type', Array)
	    ], Ng2Select.prototype, "options", void 0);
	    __decorate([
	        core_1.Input(), 
	        __metadata('design:type', String)
	    ], Ng2Select.prototype, "displayBy", void 0);
	    __decorate([
	        core_1.Input(), 
	        __metadata('design:type', String)
	    ], Ng2Select.prototype, "identifyBy", void 0);
	    __decorate([
	        core_1.Input(), 
	        __metadata('design:type', Boolean)
	    ], Ng2Select.prototype, "multiple", void 0);
	    __decorate([
	        core_1.Output(), 
	        __metadata('design:type', core_1.EventEmitter)
	    ], Ng2Select.prototype, "onChange", void 0);
	    __decorate([
	        core_1.ViewChild(ng2_material_dropdown_1.Ng2Dropdown), 
	        __metadata('design:type', Object)
	    ], Ng2Select.prototype, "dropdown", void 0);
	    Ng2Select = __decorate([
	        core_1.Component({
	            selector: 'ng2-select',
	            providers: [CUSTOM_SELECT_VALUE_ACCESSOR],
	            styles: [__webpack_require__(10).toString()],
	            template: __webpack_require__(14)
	        }),
	        selectable_1.Selectable(), 
	        __metadata('design:paramtypes', [])
	    ], Ng2Select);
	    return Ng2Select;
	}(accessor_1.SelectAccessor));
	exports.Ng2Select = Ng2Select;
	

/***/ },
/* 3 */
/***/ function(module, exports) {

	"use strict";
	function Selectable() {
	    return function (target) {
	        var toggle = function (item) {
	            if (this.multiple === false) {
	                return;
	            }
	            if (this.isSelected(item)) {
	                this.selected = this.selected.filter(function (value) { return value !== item; });
	            }
	            else {
	                this.selected.push(item);
	            }
	        };
	        Object.assign(target.prototype, {
	            toggle: toggle
	        });
	    };
	}
	exports.Selectable = Selectable;
	

/***/ },
/* 4 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_4__;

/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";
	var components = __webpack_require__(6);
	exports.Ng2Dropdown = components.Ng2Dropdown;
	exports.Ng2DropdownMenu = components.Ng2DropdownMenu;
	exports.Ng2MenuItem = components.Ng2MenuItem;
	exports.Ng2DropdownButton = components.Ng2DropdownButton;
	exports.Ng2DropdownModule = components.Ng2DropdownModule;
	

/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	(function webpackUniversalModuleDefinition(root, factory) {
		if(true)
			module.exports = factory(__webpack_require__(1));
		else if(typeof define === 'function' && define.amd)
			define(["@angular/core"], factory);
		else if(typeof exports === 'object')
			exports["ng2-dropdown"] = factory(require("@angular/core"));
		else
			root["ng2-dropdown"] = factory(root["@angular/core"]);
	})(this, function(__WEBPACK_EXTERNAL_MODULE_3__) {
	return /******/ (function(modules) { // webpackBootstrap
	/******/ 	// The module cache
	/******/ 	var installedModules = {};

	/******/ 	// The require function
	/******/ 	function __webpack_require__(moduleId) {

	/******/ 		// Check if module is in cache
	/******/ 		if(installedModules[moduleId])
	/******/ 			return installedModules[moduleId].exports;

	/******/ 		// Create a new module (and put it into the cache)
	/******/ 		var module = installedModules[moduleId] = {
	/******/ 			exports: {},
	/******/ 			id: moduleId,
	/******/ 			loaded: false
	/******/ 		};

	/******/ 		// Execute the module function
	/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

	/******/ 		// Flag the module as loaded
	/******/ 		module.loaded = true;

	/******/ 		// Return the exports of the module
	/******/ 		return module.exports;
	/******/ 	}


	/******/ 	// expose the modules object (__webpack_modules__)
	/******/ 	__webpack_require__.m = modules;

	/******/ 	// expose the module cache
	/******/ 	__webpack_require__.c = installedModules;

	/******/ 	// __webpack_public_path__
	/******/ 	__webpack_require__.p = "";

	/******/ 	// Load entry module and return exports
	/******/ 	return __webpack_require__(0);
	/******/ })
	/************************************************************************/
	/******/ ([
	/* 0 */
	/***/ function(module, exports, __webpack_require__) {

		"use strict";
		function __export(m) {
		    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
		}
		__export(__webpack_require__(1));
		

	/***/ },
	/* 1 */
	/***/ function(module, exports, __webpack_require__) {

		"use strict";
		var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
		    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
		    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
		    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
		    return c > 3 && r && Object.defineProperty(target, key, r), r;
		};
		var __metadata = (this && this.__metadata) || function (k, v) {
		    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
		};
		function __export(m) {
		    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
		}
		var ng2_dropdown_1 = __webpack_require__(2);
		var ng2_dropdown_menu_1 = __webpack_require__(11);
		var ng2_dropdown_button_1 = __webpack_require__(4);
		var ng2_menu_item_1 = __webpack_require__(14);
		var core_1 = __webpack_require__(3);
		var Ng2DropdownModule = (function () {
		    function Ng2DropdownModule() {
		    }
		    Ng2DropdownModule = __decorate([
		        core_1.NgModule({
		            exports: [
		                ng2_menu_item_1.Ng2MenuItem,
		                ng2_dropdown_button_1.Ng2DropdownButton,
		                ng2_dropdown_menu_1.Ng2DropdownMenu,
		                ng2_dropdown_1.Ng2Dropdown
		            ],
		            declarations: [
		                ng2_dropdown_1.Ng2Dropdown,
		                ng2_menu_item_1.Ng2MenuItem,
		                ng2_dropdown_button_1.Ng2DropdownButton,
		                ng2_dropdown_menu_1.Ng2DropdownMenu
		            ],
		            imports: []
		        }), 
		        __metadata('design:paramtypes', [])
		    ], Ng2DropdownModule);
		    return Ng2DropdownModule;
		}());
		exports.Ng2DropdownModule = Ng2DropdownModule;
		__export(__webpack_require__(2));
		__export(__webpack_require__(11));
		__export(__webpack_require__(4));
		__export(__webpack_require__(14));
		

	/***/ },
	/* 2 */
	/***/ function(module, exports, __webpack_require__) {

		"use strict";
		var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
		    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
		    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
		    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
		    return c > 3 && r && Object.defineProperty(target, key, r), r;
		};
		var __metadata = (this && this.__metadata) || function (k, v) {
		    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
		};
		var core_1 = __webpack_require__(3);
		var ng2_dropdown_button_1 = __webpack_require__(4);
		var ng2_dropdown_menu_1 = __webpack_require__(11);
		var ng2_dropdown_state_1 = __webpack_require__(21);
		var Ng2Dropdown = (function () {
		    function Ng2Dropdown() {
		        this.onItemClicked = new core_1.EventEmitter();
		        this.onItemSelected = new core_1.EventEmitter();
		        this.onShow = new core_1.EventEmitter();
		        this.onHide = new core_1.EventEmitter();
		        this.state = new ng2_dropdown_state_1.Ng2DropdownState();
		    }
		    Ng2Dropdown.prototype.toggleMenu = function (position) {
		        if (position === void 0) { position = this.button.getPosition(); }
		        this.menu.state.isVisible ? this.hide() : this.show(position);
		    };
		    Ng2Dropdown.prototype.hide = function () {
		        this.menu.hide();
		        this.onHide.emit(this);
		    };
		    Ng2Dropdown.prototype.show = function (position) {
		        if (position === void 0) { position = this.button.getPosition(); }
		        this.menu.show();
		        this.menu.updatePosition(position);
		        this.onShow.emit(this);
		    };
		    Ng2Dropdown.prototype.ngOnInit = function () {
		        var _this = this;
		        this.state.onItemClicked.subscribe(function (item) {
		            _this.onItemClicked.emit(item);
		            if (item.preventClose) {
		                return;
		            }
		            _this.hide.call(_this);
		        });
		        if (this.button) {
		            this.button.onMenuToggled.subscribe(function () {
		                _this.toggleMenu();
		            });
		        }
		        this.state.onItemSelected.subscribe(function (item) { return _this.onItemSelected.emit(item); });
		    };
		    __decorate([
		        core_1.ContentChild(ng2_dropdown_button_1.Ng2DropdownButton), 
		        __metadata('design:type', ng2_dropdown_button_1.Ng2DropdownButton)
		    ], Ng2Dropdown.prototype, "button", void 0);
		    __decorate([
		        core_1.ContentChild(ng2_dropdown_menu_1.Ng2DropdownMenu), 
		        __metadata('design:type', ng2_dropdown_menu_1.Ng2DropdownMenu)
		    ], Ng2Dropdown.prototype, "menu", void 0);
		    __decorate([
		        core_1.Output(), 
		        __metadata('design:type', core_1.EventEmitter)
		    ], Ng2Dropdown.prototype, "onItemClicked", void 0);
		    __decorate([
		        core_1.Output(), 
		        __metadata('design:type', core_1.EventEmitter)
		    ], Ng2Dropdown.prototype, "onItemSelected", void 0);
		    __decorate([
		        core_1.Output(), 
		        __metadata('design:type', core_1.EventEmitter)
		    ], Ng2Dropdown.prototype, "onShow", void 0);
		    __decorate([
		        core_1.Output(), 
		        __metadata('design:type', core_1.EventEmitter)
		    ], Ng2Dropdown.prototype, "onHide", void 0);
		    Ng2Dropdown = __decorate([
		        core_1.Component({
		            selector: 'ng2-dropdown',
		            styles: [__webpack_require__(22).toString()],
		            template: __webpack_require__(24)
		        }), 
		        __metadata('design:paramtypes', [])
		    ], Ng2Dropdown);
		    return Ng2Dropdown;
		}());
		exports.Ng2Dropdown = Ng2Dropdown;
		

	/***/ },
	/* 3 */
	/***/ function(module, exports) {

		module.exports = __WEBPACK_EXTERNAL_MODULE_3__;

	/***/ },
	/* 4 */
	/***/ function(module, exports, __webpack_require__) {

		"use strict";
		var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
		    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
		    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
		    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
		    return c > 3 && r && Object.defineProperty(target, key, r), r;
		};
		var __metadata = (this && this.__metadata) || function (k, v) {
		    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
		};
		var core_1 = __webpack_require__(3);
		var Ng2DropdownButton = (function () {
		    function Ng2DropdownButton(element) {
		        this.element = element;
		        this.onMenuToggled = new core_1.EventEmitter();
		        this.showCaret = true;
		    }
		    Ng2DropdownButton.prototype.toggleMenu = function () {
		        this.onMenuToggled.emit(true);
		    };
		    Ng2DropdownButton.prototype.getPosition = function () {
		        return this.element.nativeElement.getBoundingClientRect();
		    };
		    __decorate([
		        core_1.Output(), 
		        __metadata('design:type', core_1.EventEmitter)
		    ], Ng2DropdownButton.prototype, "onMenuToggled", void 0);
		    __decorate([
		        core_1.Input(), 
		        __metadata('design:type', Boolean)
		    ], Ng2DropdownButton.prototype, "showCaret", void 0);
		    Ng2DropdownButton = __decorate([
		        core_1.Component({
		            selector: 'ng2-dropdown-button',
		            styles: [__webpack_require__(5).toString()],
		            template: __webpack_require__(10)
		        }), 
		        __metadata('design:paramtypes', [core_1.ElementRef])
		    ], Ng2DropdownButton);
		    return Ng2DropdownButton;
		}());
		exports.Ng2DropdownButton = Ng2DropdownButton;
		

	/***/ },
	/* 5 */
	/***/ function(module, exports, __webpack_require__) {

		// style-loader: Adds some css to the DOM by adding a <style> tag

		// load the styles
		var content = __webpack_require__(6);
		if(typeof content === 'string') content = [[module.id, content, '']];
		// add the styles to the DOM
		var update = __webpack_require__(9)(content, {});
		if(content.locals) module.exports = content.locals;
		// Hot Module Replacement
		if(false) {
			// When the styles change, update the <style> tags
			if(!content.locals) {
				module.hot.accept("!!./../../../../node_modules/css-loader/index.js!./../../../../node_modules/postcss-loader/index.js!./../../../../node_modules/sass-loader/index.js!./style.scss", function() {
					var newContent = require("!!./../../../../node_modules/css-loader/index.js!./../../../../node_modules/postcss-loader/index.js!./../../../../node_modules/sass-loader/index.js!./style.scss");
					if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
					update(newContent);
				});
			}
			// When the module is disposed, remove the <style> tags
			module.hot.dispose(function() { update(); });
		}

	/***/ },
	/* 6 */
	/***/ function(module, exports, __webpack_require__) {

		exports = module.exports = __webpack_require__(7)();
		// imports


		// module
		exports.push([module.id, ".ng2-dropdown-button {\n  font-family: \"Helvetica Neue\", Helvetica, Arial;\n  background: #fff;\n  padding: 0.3rem 0.5rem;\n  font-size: 14px;\n  letter-spacing: 0.08rem;\n  color: #444;\n  outline: 0;\n  cursor: pointer;\n  font-weight: 400;\n  border: none;\n  border-bottom: 1px solid #efefef; }\n\n.ng2-dropdown-button:hover {\n  color: #222; }\n\n.ng2-dropdown-button:active {\n  color: #222;\n  border-bottom: 2px solid #2196F3; }\n\n.caret {\n  background: url(" + __webpack_require__(8) + ");\n  width: 16px;\n  height: 12px;\n  display: inline-block; }\n", ""]);

		// exports


	/***/ },
	/* 7 */
	/***/ function(module, exports) {

		/*
			MIT License http://www.opensource.org/licenses/mit-license.php
			Author Tobias Koppers @sokra
		*/
		// css base code, injected by the css-loader
		module.exports = function() {
			var list = [];

			// return the list of modules as css string
			list.toString = function toString() {
				var result = [];
				for(var i = 0; i < this.length; i++) {
					var item = this[i];
					if(item[2]) {
						result.push("@media " + item[2] + "{" + item[1] + "}");
					} else {
						result.push(item[1]);
					}
				}
				return result.join("");
			};

			// import a list of modules into the list
			list.i = function(modules, mediaQuery) {
				if(typeof modules === "string")
					modules = [[null, modules, ""]];
				var alreadyImportedModules = {};
				for(var i = 0; i < this.length; i++) {
					var id = this[i][0];
					if(typeof id === "number")
						alreadyImportedModules[id] = true;
				}
				for(i = 0; i < modules.length; i++) {
					var item = modules[i];
					// skip already imported module
					// this implementation is not 100% perfect for weird media query combinations
					//  when a module is imported multiple times with different media queries.
					//  I hope this will never occur (Hey this way we have smaller bundles)
					if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
						if(mediaQuery && !item[2]) {
							item[2] = mediaQuery;
						} else if(mediaQuery) {
							item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
						}
						list.push(item);
					}
				}
			};
			return list;
		};


	/***/ },
	/* 8 */
	/***/ function(module, exports) {

		module.exports = "\"data:image/svg+xml;charset=utf8,%3C?xml version='1.0' ?%3E%3C!DOCTYPE svg PUBLIC '-//W3C//DTD SVG 1.1//EN' 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd'%3E%3Csvg enable-background='new 0 0 32 32' height='16px' id='Слой_1' version='1.1' viewBox='0 0 32 32' width='16px' xml:space='preserve' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cpath d='M24.285,11.284L16,19.571l-8.285-8.288c-0.395-0.395-1.034-0.395-1.429,0 c-0.394,0.395-0.394,1.035,0,1.43l8.999,9.002l0,0l0,0c0.394,0.395,1.034,0.395,1.428,0l8.999-9.002 c0.394-0.395,0.394-1.036,0-1.431C25.319,10.889,24.679,10.889,24.285,11.284z' fill='%23121313' id='Expand_More'/%3E%3Cg/%3E%3Cg/%3E%3Cg/%3E%3Cg/%3E%3Cg/%3E%3Cg/%3E%3C/svg%3E\""

	/***/ },
	/* 9 */
	/***/ function(module, exports, __webpack_require__) {

		/*
			MIT License http://www.opensource.org/licenses/mit-license.php
			Author Tobias Koppers @sokra
		*/
		var stylesInDom = {},
			memoize = function(fn) {
				var memo;
				return function () {
					if (typeof memo === "undefined") memo = fn.apply(this, arguments);
					return memo;
				};
			},
			isOldIE = memoize(function() {
				return /msie [6-9]\b/.test(window.navigator.userAgent.toLowerCase());
			}),
			getHeadElement = memoize(function () {
				return document.head || document.getElementsByTagName("head")[0];
			}),
			singletonElement = null,
			singletonCounter = 0,
			styleElementsInsertedAtTop = [];

		module.exports = function(list, options) {
			if(true) {
				if(typeof document !== "object") throw new Error("The style-loader cannot be used in a non-browser environment");
			}

			options = options || {};
			// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
			// tags it will allow on a page
			if (typeof options.singleton === "undefined") options.singleton = isOldIE();

			// By default, add <style> tags to the bottom of <head>.
			if (typeof options.insertAt === "undefined") options.insertAt = "bottom";

			var styles = listToStyles(list);
			addStylesToDom(styles, options);

			return function update(newList) {
				var mayRemove = [];
				for(var i = 0; i < styles.length; i++) {
					var item = styles[i];
					var domStyle = stylesInDom[item.id];
					domStyle.refs--;
					mayRemove.push(domStyle);
				}
				if(newList) {
					var newStyles = listToStyles(newList);
					addStylesToDom(newStyles, options);
				}
				for(var i = 0; i < mayRemove.length; i++) {
					var domStyle = mayRemove[i];
					if(domStyle.refs === 0) {
						for(var j = 0; j < domStyle.parts.length; j++)
							domStyle.parts[j]();
						delete stylesInDom[domStyle.id];
					}
				}
			};
		}

		function addStylesToDom(styles, options) {
			for(var i = 0; i < styles.length; i++) {
				var item = styles[i];
				var domStyle = stylesInDom[item.id];
				if(domStyle) {
					domStyle.refs++;
					for(var j = 0; j < domStyle.parts.length; j++) {
						domStyle.parts[j](item.parts[j]);
					}
					for(; j < item.parts.length; j++) {
						domStyle.parts.push(addStyle(item.parts[j], options));
					}
				} else {
					var parts = [];
					for(var j = 0; j < item.parts.length; j++) {
						parts.push(addStyle(item.parts[j], options));
					}
					stylesInDom[item.id] = {id: item.id, refs: 1, parts: parts};
				}
			}
		}

		function listToStyles(list) {
			var styles = [];
			var newStyles = {};
			for(var i = 0; i < list.length; i++) {
				var item = list[i];
				var id = item[0];
				var css = item[1];
				var media = item[2];
				var sourceMap = item[3];
				var part = {css: css, media: media, sourceMap: sourceMap};
				if(!newStyles[id])
					styles.push(newStyles[id] = {id: id, parts: [part]});
				else
					newStyles[id].parts.push(part);
			}
			return styles;
		}

		function insertStyleElement(options, styleElement) {
			var head = getHeadElement();
			var lastStyleElementInsertedAtTop = styleElementsInsertedAtTop[styleElementsInsertedAtTop.length - 1];
			if (options.insertAt === "top") {
				if(!lastStyleElementInsertedAtTop) {
					head.insertBefore(styleElement, head.firstChild);
				} else if(lastStyleElementInsertedAtTop.nextSibling) {
					head.insertBefore(styleElement, lastStyleElementInsertedAtTop.nextSibling);
				} else {
					head.appendChild(styleElement);
				}
				styleElementsInsertedAtTop.push(styleElement);
			} else if (options.insertAt === "bottom") {
				head.appendChild(styleElement);
			} else {
				throw new Error("Invalid value for parameter 'insertAt'. Must be 'top' or 'bottom'.");
			}
		}

		function removeStyleElement(styleElement) {
			styleElement.parentNode.removeChild(styleElement);
			var idx = styleElementsInsertedAtTop.indexOf(styleElement);
			if(idx >= 0) {
				styleElementsInsertedAtTop.splice(idx, 1);
			}
		}

		function createStyleElement(options) {
			var styleElement = document.createElement("style");
			styleElement.type = "text/css";
			insertStyleElement(options, styleElement);
			return styleElement;
		}

		function createLinkElement(options) {
			var linkElement = document.createElement("link");
			linkElement.rel = "stylesheet";
			insertStyleElement(options, linkElement);
			return linkElement;
		}

		function addStyle(obj, options) {
			var styleElement, update, remove;

			if (options.singleton) {
				var styleIndex = singletonCounter++;
				styleElement = singletonElement || (singletonElement = createStyleElement(options));
				update = applyToSingletonTag.bind(null, styleElement, styleIndex, false);
				remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true);
			} else if(obj.sourceMap &&
				typeof URL === "function" &&
				typeof URL.createObjectURL === "function" &&
				typeof URL.revokeObjectURL === "function" &&
				typeof Blob === "function" &&
				typeof btoa === "function") {
				styleElement = createLinkElement(options);
				update = updateLink.bind(null, styleElement);
				remove = function() {
					removeStyleElement(styleElement);
					if(styleElement.href)
						URL.revokeObjectURL(styleElement.href);
				};
			} else {
				styleElement = createStyleElement(options);
				update = applyToTag.bind(null, styleElement);
				remove = function() {
					removeStyleElement(styleElement);
				};
			}

			update(obj);

			return function updateStyle(newObj) {
				if(newObj) {
					if(newObj.css === obj.css && newObj.media === obj.media && newObj.sourceMap === obj.sourceMap)
						return;
					update(obj = newObj);
				} else {
					remove();
				}
			};
		}

		var replaceText = (function () {
			var textStore = [];

			return function (index, replacement) {
				textStore[index] = replacement;
				return textStore.filter(Boolean).join('\n');
			};
		})();

		function applyToSingletonTag(styleElement, index, remove, obj) {
			var css = remove ? "" : obj.css;

			if (styleElement.styleSheet) {
				styleElement.styleSheet.cssText = replaceText(index, css);
			} else {
				var cssNode = document.createTextNode(css);
				var childNodes = styleElement.childNodes;
				if (childNodes[index]) styleElement.removeChild(childNodes[index]);
				if (childNodes.length) {
					styleElement.insertBefore(cssNode, childNodes[index]);
				} else {
					styleElement.appendChild(cssNode);
				}
			}
		}

		function applyToTag(styleElement, obj) {
			var css = obj.css;
			var media = obj.media;

			if(media) {
				styleElement.setAttribute("media", media)
			}

			if(styleElement.styleSheet) {
				styleElement.styleSheet.cssText = css;
			} else {
				while(styleElement.firstChild) {
					styleElement.removeChild(styleElement.firstChild);
				}
				styleElement.appendChild(document.createTextNode(css));
			}
		}

		function updateLink(linkElement, obj) {
			var css = obj.css;
			var sourceMap = obj.sourceMap;

			if(sourceMap) {
				// http://stackoverflow.com/a/26603875
				css += "\n/*# sourceMappingURL=data:application/json;base64," + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + " */";
			}

			var blob = new Blob([css], { type: "text/css" });

			var oldSrc = linkElement.href;

			linkElement.href = URL.createObjectURL(blob);

			if(oldSrc)
				URL.revokeObjectURL(oldSrc);
		}


	/***/ },
	/* 10 */
	/***/ function(module, exports) {

		module.exports = "<button class='ng2-dropdown-button' (click)=\"toggleMenu()\">\n    <ng-content></ng-content>\n\n    <span class=\"caret\" [hidden]=\"!showCaret\"></span>\n</button>\n";

	/***/ },
	/* 11 */
	/***/ function(module, exports, __webpack_require__) {

		"use strict";
		var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
		    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
		    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
		    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
		    return c > 3 && r && Object.defineProperty(target, key, r), r;
		};
		var __metadata = (this && this.__metadata) || function (k, v) {
		    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
		};
		var __param = (this && this.__param) || function (paramIndex, decorator) {
		    return function (target, key) { decorator(target, key, paramIndex); }
		};
		var core_1 = __webpack_require__(3);
		var animations_1 = __webpack_require__(12);
		var actions_1 = __webpack_require__(13);
		var ng2_menu_item_1 = __webpack_require__(14);
		var ng2_dropdown_1 = __webpack_require__(2);
		var Ng2DropdownMenu = (function () {
		    function Ng2DropdownMenu(dropdown, element, renderer) {
		        var _this = this;
		        this.dropdown = dropdown;
		        this.element = element;
		        this.renderer = renderer;
		        this.width = 4;
		        this.focusFirstElement = true;
		        this.state = {
		            isVisible: false,
		            toString: function () {
		                return _this.state.isVisible ? 'visible' : 'hidden';
		            }
		        };
		    }
		    Ng2DropdownMenu.prototype.show = function () {
		        this.renderer.setElementStyle(this.getMenuElement(), 'display', 'block');
		        this.state.isVisible = true;
		        if (this.focusFirstElement) {
		            this.dropdown.state.select(this.items.first, false);
		        }
		    };
		    Ng2DropdownMenu.prototype.hide = function () {
		        this.state.isVisible = false;
		        this.renderer.setElementStyle(this.getMenuElement(), 'display', 'none');
		        this.dropdown.state.unselect();
		    };
		    Ng2DropdownMenu.prototype.updatePosition = function (position) {
		        this.position = position;
		    };
		    Ng2DropdownMenu.prototype.handleKeypress = function ($event) {
		        if (!this.state.isVisible) {
		            return;
		        }
		        var key = $event.keyCode, items = this.items.toArray(), index = items.indexOf(this.dropdown.state.selectedItem);
		        if (!actions_1.ACTIONS.hasOwnProperty(key)) {
		            return;
		        }
		        actions_1.ACTIONS[key].call(this, index, items, this.dropdown.state);
		        $event.preventDefault();
		    };
		    Ng2DropdownMenu.prototype.getMenuElement = function () {
		        return this.element.nativeElement.children[0];
		    };
		    Ng2DropdownMenu.prototype.calcPositionOffset = function (position) {
		        var _a = this.applyOffset((position.top + window.scrollY - 15) + "px", (position.left + window.scrollX - 5) + "px"), top = _a.top, left = _a.left;
		        var element = this.getMenuElement(), clientWidth = element.clientWidth, clientHeight = element.clientHeight, marginFromBottom = parseInt(top) + clientHeight, marginFromRight = parseInt(left) + clientWidth, windowScrollHeight = window.innerHeight + window.scrollY, windowScrollWidth = window.innerWidth + window.scrollX;
		        if (marginFromBottom >= windowScrollHeight) {
		            top = (parseInt(top.replace('px', '')) - clientHeight) + "px";
		        }
		        if (marginFromRight >= windowScrollWidth) {
		            var marginRight = marginFromRight - windowScrollWidth + 30;
		            left = (parseInt(left.replace('px', '')) - marginRight) + "px";
		        }
		        return { top: top, left: left };
		    };
		    Ng2DropdownMenu.prototype.applyOffset = function (top, left) {
		        if (!this.offset) {
		            return { top: top, left: left };
		        }
		        var offset = this.offset.split(' ');
		        if (!offset[1]) {
		            offset[1] = '0';
		        }
		        top = (parseInt(top.replace('px', '')) + parseInt(offset[0])) + "px";
		        left = (parseInt(left.replace('px', '')) + parseInt(offset[1])) + "px";
		        return { top: top, left: left };
		    };
		    Ng2DropdownMenu.prototype.ngOnInit = function () {
		        var body = document.querySelector('body');
		        body.appendChild(this.element.nativeElement);
		        this.renderer.listen(body, 'keyup', this.handleKeypress.bind(this));
		    };
		    Ng2DropdownMenu.prototype.ngDoCheck = function () {
		        if (this.state.isVisible) {
		            var element = this.getMenuElement();
		            var _a = this.calcPositionOffset(this.position), top_1 = _a.top, left = _a.left;
		            this.renderer.setElementStyle(element, 'top', top_1);
		            this.renderer.setElementStyle(element, 'left', left);
		        }
		    };
		    __decorate([
		        core_1.Input(), 
		        __metadata('design:type', Number)
		    ], Ng2DropdownMenu.prototype, "width", void 0);
		    __decorate([
		        core_1.Input(), 
		        __metadata('design:type', Boolean)
		    ], Ng2DropdownMenu.prototype, "focusFirstElement", void 0);
		    __decorate([
		        core_1.Input(), 
		        __metadata('design:type', String)
		    ], Ng2DropdownMenu.prototype, "offset", void 0);
		    __decorate([
		        core_1.ContentChildren(ng2_menu_item_1.Ng2MenuItem), 
		        __metadata('design:type', core_1.QueryList)
		    ], Ng2DropdownMenu.prototype, "items", void 0);
		    Ng2DropdownMenu = __decorate([
		        core_1.Component({
		            selector: 'ng2-dropdown-menu',
		            styles: [__webpack_require__(18).toString()],
		            template: __webpack_require__(20),
		            animations: animations_1.animations
		        }),
		        __param(0, core_1.Inject(core_1.forwardRef(function () { return ng2_dropdown_1.Ng2Dropdown; }))), 
		        __metadata('design:paramtypes', [ng2_dropdown_1.Ng2Dropdown, core_1.ElementRef, core_1.Renderer])
		    ], Ng2DropdownMenu);
		    return Ng2DropdownMenu;
		}());
		exports.Ng2DropdownMenu = Ng2DropdownMenu;
		

	/***/ },
	/* 12 */
	/***/ function(module, exports, __webpack_require__) {

		"use strict";
		var core_1 = __webpack_require__(3);
		exports.animations = [
		    core_1.trigger('fade', [
		        core_1.state('visible', core_1.style({
		            width: '100%',
		            maxHeight: '350px',
		            opacity: 1
		        })),
		        core_1.state('hidden', core_1.style({
		            width: '0px',
		            maxHeight: '0px',
		            opacity: 0
		        })),
		        core_1.transition('visible => hidden', [
		            core_1.animate('100ms ease-out')
		        ]),
		        core_1.transition('hidden => visible', [
		            core_1.animate('150ms cubic-bezier(0.55, 0, 0.55, 0.2)')
		        ])
		    ])
		];
		

	/***/ },
	/* 13 */
	/***/ function(module, exports) {

		"use strict";
		var KEYS = {
		    ENTER: 13,
		    BACKSPACE: 9,
		    PREV: 38,
		    NEXT: 40
		};
		var onSwitchNext = function (index, items, state) {
		    if (index < items.length - 1) {
		        state.select(items[index + 1], true);
		    }
		};
		var onSwitchPrev = function (index, items, state) {
		    if (index > 0) {
		        state.select(items[index - 1], true);
		    }
		};
		var onBackspace = function (index, items, state) {
		    if (index < items.length - 1) {
		        state.select(items[index + 1], true);
		    }
		    else {
		        state.select(items[0], true);
		    }
		};
		var onEnter = function (index, items, state) {
		    state.onItemClicked.emit(state.selectedItem);
		};
		exports.ACTIONS = (_a = {},
		    _a[KEYS.BACKSPACE] = onBackspace,
		    _a[KEYS.PREV] = onSwitchPrev,
		    _a[KEYS.NEXT] = onSwitchNext,
		    _a[KEYS.ENTER] = onEnter,
		    _a
		);
		var _a;


	/***/ },
	/* 14 */
	/***/ function(module, exports, __webpack_require__) {

		"use strict";
		var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
		    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
		    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
		    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
		    return c > 3 && r && Object.defineProperty(target, key, r), r;
		};
		var __metadata = (this && this.__metadata) || function (k, v) {
		    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
		};
		var __param = (this && this.__param) || function (paramIndex, decorator) {
		    return function (target, key) { decorator(target, key, paramIndex); }
		};
		var core_1 = __webpack_require__(3);
		var ng2_dropdown_1 = __webpack_require__(2);
		var Ng2MenuItem = (function () {
		    function Ng2MenuItem(dropdown) {
		        this.dropdown = dropdown;
		        this.preventClose = false;
		    }
		    Object.defineProperty(Ng2MenuItem.prototype, "isSelected", {
		        get: function () {
		            return this === this.dropdown.state.selectedItem;
		        },
		        enumerable: true,
		        configurable: true
		    });
		    Ng2MenuItem.prototype.select = function () {
		        this.dropdown.state.select(this, true);
		    };
		    Ng2MenuItem.prototype.click = function () {
		        this.dropdown.state.onItemClicked.emit(this);
		    };
		    __decorate([
		        core_1.Input(), 
		        __metadata('design:type', Boolean)
		    ], Ng2MenuItem.prototype, "preventClose", void 0);
		    __decorate([
		        core_1.Input(), 
		        __metadata('design:type', Object)
		    ], Ng2MenuItem.prototype, "value", void 0);
		    Ng2MenuItem = __decorate([
		        core_1.Component({
		            selector: 'ng2-menu-item',
		            styles: [__webpack_require__(15).toString()],
		            template: __webpack_require__(17)
		        }),
		        __param(0, core_1.Inject(core_1.forwardRef(function () { return ng2_dropdown_1.Ng2Dropdown; }))), 
		        __metadata('design:paramtypes', [ng2_dropdown_1.Ng2Dropdown])
		    ], Ng2MenuItem);
		    return Ng2MenuItem;
		}());
		exports.Ng2MenuItem = Ng2MenuItem;
		

	/***/ },
	/* 15 */
	/***/ function(module, exports, __webpack_require__) {

		// style-loader: Adds some css to the DOM by adding a <style> tag

		// load the styles
		var content = __webpack_require__(16);
		if(typeof content === 'string') content = [[module.id, content, '']];
		// add the styles to the DOM
		var update = __webpack_require__(9)(content, {});
		if(content.locals) module.exports = content.locals;
		// Hot Module Replacement
		if(false) {
			// When the styles change, update the <style> tags
			if(!content.locals) {
				module.hot.accept("!!./../../../../node_modules/css-loader/index.js!./../../../../node_modules/postcss-loader/index.js!./../../../../node_modules/sass-loader/index.js!./style.scss", function() {
					var newContent = require("!!./../../../../node_modules/css-loader/index.js!./../../../../node_modules/postcss-loader/index.js!./../../../../node_modules/sass-loader/index.js!./style.scss");
					if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
					update(newContent);
				});
			}
			// When the module is disposed, remove the <style> tags
			module.hot.dispose(function() { update(); });
		}

	/***/ },
	/* 16 */
	/***/ function(module, exports, __webpack_require__) {

		exports = module.exports = __webpack_require__(7)();
		// imports


		// module
		exports.push([module.id, ".ng2-menu-item {\n  font-family: \"Roboto\", \"Helvetica Neue\", Helvetica, Arial;\n  padding: 0 1.25rem;\n  background: #fff;\n  color: #444;\n  cursor: pointer;\n  font-size: 15px;\n  text-transform: none;\n  font-weight: 400;\n  -webkit-transition: background 0.2s;\n  transition: background 0.2s;\n  letter-spacing: 0.03em;\n  height: 48px;\n  line-height: 48px;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n  overflow-x: hidden; }\n\n.ng2-menu-item--selected {\n  background: #f9f9f9;\n  outline: 0; }\n\n.ng2-menu-item:focus {\n  outline: 0; }\n\n.ng2-menu-item:active {\n  background: #eee; }\n\n.ng2-menu-item [ng2-menu-item-icon] {\n  vertical-align: bottom;\n  font-size: 28px;\n  width: 40px;\n  height: 40px;\n  color: rgba(0, 0, 0, 0.54); }\n", ""]);

		// exports


	/***/ },
	/* 17 */
	/***/ function(module, exports) {

		module.exports = "<div class='ng2-menu-item'\n     [class.ng2-menu-item--selected]=\"isSelected\"\n     [attr.role]=\"button\"\n     (click)=\"click()\"\n     (mouseover)=\"select()\">\n        <ng-content></ng-content>\n</div>\n";

	/***/ },
	/* 18 */
	/***/ function(module, exports, __webpack_require__) {

		// style-loader: Adds some css to the DOM by adding a <style> tag

		// load the styles
		var content = __webpack_require__(19);
		if(typeof content === 'string') content = [[module.id, content, '']];
		// add the styles to the DOM
		var update = __webpack_require__(9)(content, {});
		if(content.locals) module.exports = content.locals;
		// Hot Module Replacement
		if(false) {
			// When the styles change, update the <style> tags
			if(!content.locals) {
				module.hot.accept("!!./../../../../node_modules/css-loader/index.js!./../../../../node_modules/postcss-loader/index.js!./../../../../node_modules/sass-loader/index.js!./style.scss", function() {
					var newContent = require("!!./../../../../node_modules/css-loader/index.js!./../../../../node_modules/postcss-loader/index.js!./../../../../node_modules/sass-loader/index.js!./style.scss");
					if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
					update(newContent);
				});
			}
			// When the module is disposed, remove the <style> tags
			module.hot.dispose(function() { update(); });
		}

	/***/ },
	/* 19 */
	/***/ function(module, exports, __webpack_require__) {

		exports = module.exports = __webpack_require__(7)();
		// imports


		// module
		exports.push([module.id, ".ng2-dropdown-menu-container {\n  position: absolute;\n  z-index: 2;\n  overflow-y: auto;\n  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.2);\n  padding: 0.5em 0;\n  background: #fff;\n  border-radius: 2px;\n  display: none;\n  max-height: 400px; }\n\n.ng2-dropdown-menu-container.ng2-dropdown-menu-container--open {\n  display: block; }\n\n.ng2-dropdown-menu-container--2 {\n  width: 150px; }\n\n.ng2-dropdown-menu-container--4 {\n  width: 250px; }\n\n.ng2-dropdown-menu-container--6 {\n  width: 320px; }\n\n.ng2-dropdown-menu-container:focus {\n  outline: 0;\n  box-shadow: 0 2px 3px 0 rgba(0, 0, 0, 0.3); }\n\n.ng2-dropdown-menu {\n  position: relative; }\n\n.ng2-dropdown-menu * {\n  opacity: 0;\n  -webkit-transition: opacity 0.5s;\n  transition: opacity 0.5s; }\n\n.ng2-dropdown-menu-container.ng2-dropdown-menu-container--open * {\n  opacity: 1; }\n\n.ng2-dropdown-backdrop {\n  position: fixed;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n  z-index: 1; }\n\n.ng2-menu-divider {\n  height: 1px;\n  min-height: 1px;\n  max-height: 1px;\n  width: 100%;\n  display: block;\n  background: #f9f9f9; }\n", ""]);

		// exports


	/***/ },
	/* 20 */
	/***/ function(module, exports) {

		module.exports = "<!-- CONTAINER -->\n<div class=\"ng2-dropdown-menu-container ng2-dropdown-menu-container--{{ width }}\"\n     [class.ng2-dropdown-menu-container--open]=\"state.isVisible\"\n     tabindex=\"0\">\n\n    <!-- MENU -->\n    <div class='ng2-dropdown-menu' [@fade]=\"state.toString()\">\n        <ng-content></ng-content>\n    </div>\n</div>\n\n<!-- BACKDROP -->\n<div class=\"ng2-dropdown-backdrop\" [hidden]=\"!state.isVisible\" (click)=\"hide()\"></div>\n";

	/***/ },
	/* 21 */
	/***/ function(module, exports, __webpack_require__) {

		"use strict";
		var core_1 = __webpack_require__(3);
		var Ng2DropdownState = (function () {
		    function Ng2DropdownState() {
		        this.onItemSelected = new core_1.EventEmitter();
		        this.onItemClicked = new core_1.EventEmitter();
		    }
		    Object.defineProperty(Ng2DropdownState.prototype, "selectedItem", {
		        get: function () {
		            return this._selectedItem;
		        },
		        enumerable: true,
		        configurable: true
		    });
		    Ng2DropdownState.prototype.select = function (item, dispatchEvent) {
		        if (dispatchEvent === void 0) { dispatchEvent = true; }
		        this._selectedItem = item;
		        if (!dispatchEvent) {
		            return;
		        }
		        this.onItemSelected.emit(item);
		    };
		    Ng2DropdownState.prototype.unselect = function () {
		        this._selectedItem = undefined;
		    };
		    return Ng2DropdownState;
		}());
		exports.Ng2DropdownState = Ng2DropdownState;
		

	/***/ },
	/* 22 */
	/***/ function(module, exports, __webpack_require__) {

		// style-loader: Adds some css to the DOM by adding a <style> tag

		// load the styles
		var content = __webpack_require__(23);
		if(typeof content === 'string') content = [[module.id, content, '']];
		// add the styles to the DOM
		var update = __webpack_require__(9)(content, {});
		if(content.locals) module.exports = content.locals;
		// Hot Module Replacement
		if(false) {
			// When the styles change, update the <style> tags
			if(!content.locals) {
				module.hot.accept("!!./../../../../node_modules/css-loader/index.js!./../../../../node_modules/postcss-loader/index.js!./../../../../node_modules/sass-loader/index.js!./style.scss", function() {
					var newContent = require("!!./../../../../node_modules/css-loader/index.js!./../../../../node_modules/postcss-loader/index.js!./../../../../node_modules/sass-loader/index.js!./style.scss");
					if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
					update(newContent);
				});
			}
			// When the module is disposed, remove the <style> tags
			module.hot.dispose(function() { update(); });
		}

	/***/ },
	/* 23 */
	/***/ function(module, exports, __webpack_require__) {

		exports = module.exports = __webpack_require__(7)();
		// imports


		// module
		exports.push([module.id, "", ""]);

		// exports


	/***/ },
	/* 24 */
	/***/ function(module, exports) {

		module.exports = "<div class=\"ng2-dropdown-container\">\n    <ng-content select=\"ng2-dropdown-button\"></ng-content>\n    <ng-content select=\"ng2-dropdown-menu\"></ng-content>\n</div>\n";

	/***/ }
	/******/ ])
	});
	;


/***/ },
/* 7 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";
	var equal = __webpack_require__(8);
	var SelectAccessor = (function () {
	    function SelectAccessor() {
	        this.selected = [];
	        this._value = undefined;
	    }
	    Object.defineProperty(SelectAccessor.prototype, "value", {
	        get: function () {
	            return this.multiple ? this.selected : this.options[this._value];
	        },
	        set: function (value) {
	            this._value = value;
	            this._onChangeCallback(this.value);
	        },
	        enumerable: true,
	        configurable: true
	    });
	    ;
	    SelectAccessor.prototype.onTouched = function (value) {
	        this._onTouchedCallback(value);
	    };
	    SelectAccessor.prototype.writeValue = function (value) {
	        this._value = this.multiple ? this.selected : this.findIndexValue(value);
	    };
	    SelectAccessor.prototype.findIndexValue = function (value) {
	        var identifyBy = this.identifyBy;
	        if (identifyBy) {
	            if (!value || !value.hasOwnProperty(identifyBy)) {
	                return;
	            }
	            value = this.options.filter(function (item) { return item[identifyBy] === value[identifyBy]; })[0];
	        }
	        return this.options.findIndex(function (item) { return equal(item, value); });
	    };
	    SelectAccessor.prototype.identify = function (value) {
	        var identifyBy = this.identifyBy;
	        return identifyBy && value ? value[identifyBy] : undefined;
	    };
	    SelectAccessor.prototype.registerOnChange = function (fn) {
	        this._onChangeCallback = fn;
	    };
	    SelectAccessor.prototype.registerOnTouched = function (fn) {
	        this._onTouchedCallback = fn;
	    };
	    return SelectAccessor;
	}());
	exports.SelectAccessor = SelectAccessor;
	

/***/ },
/* 8 */
/***/ function(module, exports, __webpack_require__) {

	var type = __webpack_require__(9)

	// (any, any, [array]) -> boolean
	function equal(a, b, memos){
	  // All identical values are equivalent
	  if (a === b) return true
	  var fnA = types[type(a)]
	  var fnB = types[type(b)]
	  return fnA && fnA === fnB
	    ? fnA(a, b, memos)
	    : false
	}

	var types = {}

	// (Number) -> boolean
	types.number = function(a, b){
	  return a !== a && b !== b/*Nan check*/
	}

	// (function, function, array) -> boolean
	types['function'] = function(a, b, memos){
	  return a.toString() === b.toString()
	    // Functions can act as objects
	    && types.object(a, b, memos)
	    && equal(a.prototype, b.prototype)
	}

	// (date, date) -> boolean
	types.date = function(a, b){
	  return +a === +b
	}

	// (regexp, regexp) -> boolean
	types.regexp = function(a, b){
	  return a.toString() === b.toString()
	}

	// (DOMElement, DOMElement) -> boolean
	types.element = function(a, b){
	  return a.outerHTML === b.outerHTML
	}

	// (textnode, textnode) -> boolean
	types.textnode = function(a, b){
	  return a.textContent === b.textContent
	}

	// decorate `fn` to prevent it re-checking objects
	// (function) -> function
	function memoGaurd(fn){
	  return function(a, b, memos){
	    if (!memos) return fn(a, b, [])
	    var i = memos.length, memo
	    while (memo = memos[--i]) {
	      if (memo[0] === a && memo[1] === b) return true
	    }
	    return fn(a, b, memos)
	  }
	}

	types['arguments'] =
	types['bit-array'] =
	types.array = memoGaurd(arrayEqual)

	// (array, array, array) -> boolean
	function arrayEqual(a, b, memos){
	  var i = a.length
	  if (i !== b.length) return false
	  memos.push([a, b])
	  while (i--) {
	    if (!equal(a[i], b[i], memos)) return false
	  }
	  return true
	}

	types.object = memoGaurd(objectEqual)

	// (object, object, array) -> boolean
	function objectEqual(a, b, memos) {
	  if (typeof a.equal == 'function') {
	    memos.push([a, b])
	    return a.equal(b, memos)
	  }
	  var ka = getEnumerableProperties(a)
	  var kb = getEnumerableProperties(b)
	  var i = ka.length

	  // same number of properties
	  if (i !== kb.length) return false

	  // although not necessarily the same order
	  ka.sort()
	  kb.sort()

	  // cheap key test
	  while (i--) if (ka[i] !== kb[i]) return false

	  // remember
	  memos.push([a, b])

	  // iterate again this time doing a thorough check
	  i = ka.length
	  while (i--) {
	    var key = ka[i]
	    if (!equal(a[key], b[key], memos)) return false
	  }

	  return true
	}

	// (object) -> array
	function getEnumerableProperties (object) {
	  var result = []
	  for (var k in object) if (k !== 'constructor') {
	    result.push(k)
	  }
	  return result
	}

	module.exports = equal


/***/ },
/* 9 */
/***/ function(module, exports) {

	var toString = {}.toString
	var DomNode = typeof window != 'undefined'
	  ? window.Node
	  : Function // could be any function

	/**
	 * Return the type of `val`.
	 *
	 * @param {Mixed} val
	 * @return {String}
	 * @api public
	 */

	module.exports = exports = function type(x){
	  var type = typeof x
	  if (type != 'object') return type
	  type = types[toString.call(x)]
	  if (type == 'object') {
	    // in case they have been polyfilled
	    if (x instanceof Map) return 'map'
	    if (x instanceof Set) return 'set'
	    return 'object'
	  }
	  if (type) return type
	  if (x instanceof DomNode) switch (x.nodeType) {
	    case 1:  return 'element'
	    case 3:  return 'text-node'
	    case 9:  return 'document'
	    case 11: return 'document-fragment'
	    default: return 'dom-node'
	  }
	}

	var types = exports.types = {
	  '[object Function]': 'function',
	  '[object Date]': 'date',
	  '[object RegExp]': 'regexp',
	  '[object Arguments]': 'arguments',
	  '[object Array]': 'array',
	  '[object Set]': 'set',
	  '[object String]': 'string',
	  '[object Null]': 'null',
	  '[object Undefined]': 'undefined',
	  '[object Number]': 'number',
	  '[object Boolean]': 'boolean',
	  '[object Object]': 'object',
	  '[object Map]': 'map',
	  '[object Text]': 'text-node',
	  '[object Uint8Array]': 'bit-array',
	  '[object Uint16Array]': 'bit-array',
	  '[object Uint32Array]': 'bit-array',
	  '[object Uint8ClampedArray]': 'bit-array',
	  '[object Error]': 'error',
	  '[object FormData]': 'form-data',
	  '[object File]': 'file',
	  '[object Blob]': 'blob'
	}


/***/ },
/* 10 */
/***/ function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag

	// load the styles
	var content = __webpack_require__(11);
	if(typeof content === 'string') content = [[module.id, content, '']];
	// add the styles to the DOM
	var update = __webpack_require__(13)(content, {});
	if(content.locals) module.exports = content.locals;
	// Hot Module Replacement
	if(false) {
		// When the styles change, update the <style> tags
		if(!content.locals) {
			module.hot.accept("!!./../node_modules/css-loader/index.js!./../node_modules/postcss-loader/index.js!./../node_modules/sass-loader/index.js!./style.scss", function() {
				var newContent = require("!!./../node_modules/css-loader/index.js!./../node_modules/postcss-loader/index.js!./../node_modules/sass-loader/index.js!./style.scss");
				if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
				update(newContent);
			});
		}
		// When the module is disposed, remove the <style> tags
		module.hot.dispose(function() { update(); });
	}

/***/ },
/* 11 */
/***/ function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(12)();
	// imports


	// module
	exports.push([module.id, "ng2-select {\n  display: block; }\n\nng2-menu-item.selected .ng2-menu-item {\n  color: #2196F3;\n  background: #f9f9f9; }\n\nng2-menu-item.selected:hover .ng2-menu-item {\n  background: #f4f4f4; }\n", ""]);

	// exports


/***/ },
/* 12 */
/***/ function(module, exports) {

	/*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
	// css base code, injected by the css-loader
	module.exports = function() {
		var list = [];

		// return the list of modules as css string
		list.toString = function toString() {
			var result = [];
			for(var i = 0; i < this.length; i++) {
				var item = this[i];
				if(item[2]) {
					result.push("@media " + item[2] + "{" + item[1] + "}");
				} else {
					result.push(item[1]);
				}
			}
			return result.join("");
		};

		// import a list of modules into the list
		list.i = function(modules, mediaQuery) {
			if(typeof modules === "string")
				modules = [[null, modules, ""]];
			var alreadyImportedModules = {};
			for(var i = 0; i < this.length; i++) {
				var id = this[i][0];
				if(typeof id === "number")
					alreadyImportedModules[id] = true;
			}
			for(i = 0; i < modules.length; i++) {
				var item = modules[i];
				// skip already imported module
				// this implementation is not 100% perfect for weird media query combinations
				//  when a module is imported multiple times with different media queries.
				//  I hope this will never occur (Hey this way we have smaller bundles)
				if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
					if(mediaQuery && !item[2]) {
						item[2] = mediaQuery;
					} else if(mediaQuery) {
						item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
					}
					list.push(item);
				}
			}
		};
		return list;
	};


/***/ },
/* 13 */
/***/ function(module, exports, __webpack_require__) {

	/*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
	var stylesInDom = {},
		memoize = function(fn) {
			var memo;
			return function () {
				if (typeof memo === "undefined") memo = fn.apply(this, arguments);
				return memo;
			};
		},
		isOldIE = memoize(function() {
			return /msie [6-9]\b/.test(window.navigator.userAgent.toLowerCase());
		}),
		getHeadElement = memoize(function () {
			return document.head || document.getElementsByTagName("head")[0];
		}),
		singletonElement = null,
		singletonCounter = 0,
		styleElementsInsertedAtTop = [];

	module.exports = function(list, options) {
		if(true) {
			if(typeof document !== "object") throw new Error("The style-loader cannot be used in a non-browser environment");
		}

		options = options || {};
		// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
		// tags it will allow on a page
		if (typeof options.singleton === "undefined") options.singleton = isOldIE();

		// By default, add <style> tags to the bottom of <head>.
		if (typeof options.insertAt === "undefined") options.insertAt = "bottom";

		var styles = listToStyles(list);
		addStylesToDom(styles, options);

		return function update(newList) {
			var mayRemove = [];
			for(var i = 0; i < styles.length; i++) {
				var item = styles[i];
				var domStyle = stylesInDom[item.id];
				domStyle.refs--;
				mayRemove.push(domStyle);
			}
			if(newList) {
				var newStyles = listToStyles(newList);
				addStylesToDom(newStyles, options);
			}
			for(var i = 0; i < mayRemove.length; i++) {
				var domStyle = mayRemove[i];
				if(domStyle.refs === 0) {
					for(var j = 0; j < domStyle.parts.length; j++)
						domStyle.parts[j]();
					delete stylesInDom[domStyle.id];
				}
			}
		};
	}

	function addStylesToDom(styles, options) {
		for(var i = 0; i < styles.length; i++) {
			var item = styles[i];
			var domStyle = stylesInDom[item.id];
			if(domStyle) {
				domStyle.refs++;
				for(var j = 0; j < domStyle.parts.length; j++) {
					domStyle.parts[j](item.parts[j]);
				}
				for(; j < item.parts.length; j++) {
					domStyle.parts.push(addStyle(item.parts[j], options));
				}
			} else {
				var parts = [];
				for(var j = 0; j < item.parts.length; j++) {
					parts.push(addStyle(item.parts[j], options));
				}
				stylesInDom[item.id] = {id: item.id, refs: 1, parts: parts};
			}
		}
	}

	function listToStyles(list) {
		var styles = [];
		var newStyles = {};
		for(var i = 0; i < list.length; i++) {
			var item = list[i];
			var id = item[0];
			var css = item[1];
			var media = item[2];
			var sourceMap = item[3];
			var part = {css: css, media: media, sourceMap: sourceMap};
			if(!newStyles[id])
				styles.push(newStyles[id] = {id: id, parts: [part]});
			else
				newStyles[id].parts.push(part);
		}
		return styles;
	}

	function insertStyleElement(options, styleElement) {
		var head = getHeadElement();
		var lastStyleElementInsertedAtTop = styleElementsInsertedAtTop[styleElementsInsertedAtTop.length - 1];
		if (options.insertAt === "top") {
			if(!lastStyleElementInsertedAtTop) {
				head.insertBefore(styleElement, head.firstChild);
			} else if(lastStyleElementInsertedAtTop.nextSibling) {
				head.insertBefore(styleElement, lastStyleElementInsertedAtTop.nextSibling);
			} else {
				head.appendChild(styleElement);
			}
			styleElementsInsertedAtTop.push(styleElement);
		} else if (options.insertAt === "bottom") {
			head.appendChild(styleElement);
		} else {
			throw new Error("Invalid value for parameter 'insertAt'. Must be 'top' or 'bottom'.");
		}
	}

	function removeStyleElement(styleElement) {
		styleElement.parentNode.removeChild(styleElement);
		var idx = styleElementsInsertedAtTop.indexOf(styleElement);
		if(idx >= 0) {
			styleElementsInsertedAtTop.splice(idx, 1);
		}
	}

	function createStyleElement(options) {
		var styleElement = document.createElement("style");
		styleElement.type = "text/css";
		insertStyleElement(options, styleElement);
		return styleElement;
	}

	function createLinkElement(options) {
		var linkElement = document.createElement("link");
		linkElement.rel = "stylesheet";
		insertStyleElement(options, linkElement);
		return linkElement;
	}

	function addStyle(obj, options) {
		var styleElement, update, remove;

		if (options.singleton) {
			var styleIndex = singletonCounter++;
			styleElement = singletonElement || (singletonElement = createStyleElement(options));
			update = applyToSingletonTag.bind(null, styleElement, styleIndex, false);
			remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true);
		} else if(obj.sourceMap &&
			typeof URL === "function" &&
			typeof URL.createObjectURL === "function" &&
			typeof URL.revokeObjectURL === "function" &&
			typeof Blob === "function" &&
			typeof btoa === "function") {
			styleElement = createLinkElement(options);
			update = updateLink.bind(null, styleElement);
			remove = function() {
				removeStyleElement(styleElement);
				if(styleElement.href)
					URL.revokeObjectURL(styleElement.href);
			};
		} else {
			styleElement = createStyleElement(options);
			update = applyToTag.bind(null, styleElement);
			remove = function() {
				removeStyleElement(styleElement);
			};
		}

		update(obj);

		return function updateStyle(newObj) {
			if(newObj) {
				if(newObj.css === obj.css && newObj.media === obj.media && newObj.sourceMap === obj.sourceMap)
					return;
				update(obj = newObj);
			} else {
				remove();
			}
		};
	}

	var replaceText = (function () {
		var textStore = [];

		return function (index, replacement) {
			textStore[index] = replacement;
			return textStore.filter(Boolean).join('\n');
		};
	})();

	function applyToSingletonTag(styleElement, index, remove, obj) {
		var css = remove ? "" : obj.css;

		if (styleElement.styleSheet) {
			styleElement.styleSheet.cssText = replaceText(index, css);
		} else {
			var cssNode = document.createTextNode(css);
			var childNodes = styleElement.childNodes;
			if (childNodes[index]) styleElement.removeChild(childNodes[index]);
			if (childNodes.length) {
				styleElement.insertBefore(cssNode, childNodes[index]);
			} else {
				styleElement.appendChild(cssNode);
			}
		}
	}

	function applyToTag(styleElement, obj) {
		var css = obj.css;
		var media = obj.media;

		if(media) {
			styleElement.setAttribute("media", media)
		}

		if(styleElement.styleSheet) {
			styleElement.styleSheet.cssText = css;
		} else {
			while(styleElement.firstChild) {
				styleElement.removeChild(styleElement.firstChild);
			}
			styleElement.appendChild(document.createTextNode(css));
		}
	}

	function updateLink(linkElement, obj) {
		var css = obj.css;
		var sourceMap = obj.sourceMap;

		if(sourceMap) {
			// http://stackoverflow.com/a/26603875
			css += "\n/*# sourceMappingURL=data:application/json;base64," + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + " */";
		}

		var blob = new Blob([css], { type: "text/css" });

		var oldSrc = linkElement.href;

		linkElement.href = URL.createObjectURL(blob);

		if(oldSrc)
			URL.revokeObjectURL(oldSrc);
	}


/***/ },
/* 14 */
/***/ function(module, exports) {

	module.exports = "<ng2-dropdown>\n    <ng2-dropdown-button>\n        {{ placeholderDisplay }}\n    </ng2-dropdown-button>\n    <ng2-dropdown-menu [focusFirstElement]=\"false\">\n        <ng2-menu-item *ngFor=\"let option of options;trackBy: identify(option)\"\n                       [class.selected]=\"isSelected(option)\"\n                       [preventClose]=\"multiple\"\n                       [value]=\"option\">\n            {{ displayValue(option) }}\n        </ng2-menu-item>\n    </ng2-dropdown-menu>\n</ng2-dropdown>\n";

/***/ },
/* 15 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_15__;

/***/ }
/******/ ])
});
;
//# sourceMappingURL=ng2-select.map